aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/csharp/experimental
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2018-03-05 16:42:15 +0100
committerGravatar Jan Tattermusch <jtattermusch@google.com>2018-03-06 16:18:37 +0100
commitcfae76b28b86d2c86d54a71fe3a776335bb7cd02 (patch)
treea17d9fbcda23e305750bc4fe636a336b9e5f9fdb /src/csharp/experimental
parentcab01dbfcdba924476feebc55b098b1b709cac3f (diff)
add experimental script for building the unitypackage
Diffstat (limited to 'src/csharp/experimental')
-rwxr-xr-xsrc/csharp/experimental/build_native_ext_for_android.sh2
-rwxr-xr-xsrc/csharp/experimental/build_unitypackage.sh43
2 files changed, 45 insertions, 0 deletions
diff --git a/src/csharp/experimental/build_native_ext_for_android.sh b/src/csharp/experimental/build_native_ext_for_android.sh
index 3063d78efa..6d1871a538 100755
--- a/src/csharp/experimental/build_native_ext_for_android.sh
+++ b/src/csharp/experimental/build_native_ext_for_android.sh
@@ -15,6 +15,8 @@
# Helper script to crosscompile grpc_csharp_ext native extension for Android.
+set -ex
+
cd "$(dirname "$0")/../../../cmake"
mkdir -p build
diff --git a/src/csharp/experimental/build_unitypackage.sh b/src/csharp/experimental/build_unitypackage.sh
new file mode 100755
index 0000000000..afc35f093e
--- /dev/null
+++ b/src/csharp/experimental/build_unitypackage.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+# Copyright 2018 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Builds an experimental .unitypackage file to be imported into Unity projects.
+
+set -ex
+
+cd "$(dirname "$0")/.."
+
+dotnet restore Grpc.sln
+
+mkdir -p GrpcUnity
+dotnet build --configuration Release --framework net45 Grpc.Core --output ../GrpcUnity
+
+#ThirdParty:
+#Google.Protobuf:
+# - assembly
+
+#Grpc.Core:
+# - assembly
+# - native libraries....
+
+#Grpc.Tools:
+# - assembly
+
+#System.Interactive.Async:
+# - assembly
+
+# TODO: copy libraries to build...
+
+# TODO: rename mac dylib to: grpc_csharp_ext.bundle